Bug 1383966 (CVE-2016-8605) - CVE-2016-8605 guile: Thread-unsafe umask modification
Summary: CVE-2016-8605 guile: Thread-unsafe umask modification
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8605
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161010,reported=2...
Depends On: 1383973 1383974 1383975
Blocks: 1383977
TreeView+ depends on / blocked
 
Reported: 2016-10-12 09:23 UTC by Andrej Nemec
Modified: 2019-06-08 21:30 UTC (History)
5 users (show)

Fixed In Version: guile 2.0.13
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in guile, in the mkdir procedure's usage of umask(2). Under particular circumstances, an attacker could influence an application written in guile to create directories or files insecurely, potentially exposing them to being read or manipulated by local users.
Clone Of:
Environment:
Last Closed: 2016-12-16 05:05:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-12 09:23:17 UTC
The mkdir procedure of GNU Guile, an implementation of the Scheme programming language, temporarily changed the process' umask to zero. During that time window, in a multithreaded application, other threads could end up creating files with insecure permissions. For example, mkdir without the optional mode argument would create directories as 0777.

Upstream bug:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24659

Upstream patch:

http://git.savannah.gnu.org/cgit/guile.git/commit/?h=stable-2.0&id=245608911698adb3472803856019bdd5670b6614

References:

http://seclists.org/oss-sec/2016/q4/92

Comment 1 Andrej Nemec 2016-10-12 09:33:08 UTC
Created compat-guile18 tracking bugs for this issue:

Affects: fedora-all [bug 1383974]
Affects: epel-7 [bug 1383975]

Comment 2 Andrej Nemec 2016-10-12 09:33:15 UTC
Created guile tracking bugs for this issue:

Affects: fedora-all [bug 1383973]

Comment 3 Doran Moppert 2016-12-16 04:56:46 UTC
The opportunity for impact here is quite small, requiring mkdir-with-mask to be executed simultaneously with either mkdir-without-mask or create-file-without-mask in another thread.  The impact is for a directory or file to be created with too-permissive permissions, so that another local user might be able to read or write to it - subject to permissions of its containing directory.

Comment 4 Doran Moppert 2016-12-16 05:04:57 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.